Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » "Incorrect classpath" and "The import org.eclipse cannot be resolved"
"Incorrect classpath" and "The import org.eclipse cannot be resolved" [message #181008] Tue, 21 November 2006 01:29 Go to next message
Wilfried Holzke is currently offline Wilfried Holzke
Messages: 6
Registered: July 2009
Junior Member
Hi,

I am writing an eclipse plugin. Compiling and running it in the eclipse
ide works fine, but now I want to export it and I get the following
error messages (shorted, because of 200 lines). I searched with google
for a solution but I didn't find anything. I hope here is someone who
can give me a hint.

Thanks.


[--- Error Log ----]

# 11/21/06 1:44:31 AM CET
# Eclipse Java Compiler 0.671, 3.2.0 release, Copyright IBM Corp 2000,
2006. All rights reserved.
incorrect classpath:
/usr/lib/eclipse-3.2/plugins/org.eclipse.ui_3.2.0.I20060605- 1400.jar[~org/eclipse/ui/internal/*
incorrect classpath: ?**/*]
incorrect classpath:
/usr/lib/eclipse-3.2/plugins/org.eclipse.core.runtime_3.2.0. v20060603.jar[~org/eclipse/core/internal/preferences/legacy/ *
incorrect classpath: ~org/eclipse/core/internal/runtime/*
incorrect classpath: +org/eclipse/core/runtime/*
incorrect classpath: ?**/*]
incorrect classpath:
/usr/lib/eclipse-3.2/plugins/org.eclipse.osgi_3.2.0.v2006060 1.jar[+org/eclipse/osgi/event/*

[..]

----------
1. ERROR in
/home/wilfried/workspace_java/bitset/src/bitSet/BitSetPlugin .java
(at line 3)
import org.eclipse.ui.plugin.*;
^^^^^^^^^^^
The import org.eclipse cannot be resolved
----------
2. ERROR in
/home/wilfried/workspace_java/bitset/src/bitSet/BitSetPlugin .java
(at line 4)
import org.eclipse.jface.resource.ImageDescriptor;
^^^^^^^^^^^
The import org.eclipse cannot be resolved
----------
3. ERROR in
/home/wilfried/workspace_java/bitset/src/bitSet/BitSetPlugin .java
(at line 5)
import org.osgi.framework.BundleContext;
^^^^^^^^
The import org.osgi cannot be resolved
----------
4. ERROR in
/home/wilfried/workspace_java/bitset/src/bitSet/BitSetPlugin .java
(at line 10)
public class BitSetPlugin extends AbstractUIPlugin {
^^^^^^^^^^^^^^^^
AbstractUIPlugin cannot be resolved to a type
----------
5. ERROR in
/home/wilfried/workspace_java/bitset/src/bitSet/BitSetPlugin .java
(at line 25)
public void start(BundleContext context) throws Exception {
^^^^^^^^^^^^^
BundleContext cannot be resolved to a type
----------
[..]
----------
41 problems (41 errors)
Re: "Incorrect classpath" and "The import org.eclipse cannot be resolved" [message #181173 is a reply to message #181008] Tue, 21 November 2006 17:01 Go to previous message
Wilfried Holzke is currently offline Wilfried Holzke
Messages: 6
Registered: July 2009
Junior Member
Wilfried Holzke schrieb:
> Hi,
>
> I am writing an eclipse plugin. Compiling and running it in the eclipse
> ide works fine, but now I want to export it and I get the following
> error messages (shorted, because of 200 lines). I searched with google
> for a solution but I didn't find anything. I hope here is someone who
> can give me a hint.
>
> Thanks.
>
>
> [--- Error Log ----]

I compiled and exported the plugin on my other computer and it worked.
The difference of the two computers is the version eclipse 3.2 and
3.2.1, so I changed to release 3.2.1 and now it works. I don't know why,
but I can keep on working.
Previous Topic:Deployment out of date; don't want it to be a warning
Next Topic:installation issue
Goto Forum:
  


Current Time: Thu Apr 24 01:30:56 EDT 2014

Powered by FUDForum. Page generated in 0.02301 seconds